# updateNcmsForCustomCitation

(en) Updates the NCMs Information for a Tax Citation
(pt) At ...

`PUT /v3/subscriptions/citations/{id}/ncms`

**API:** AvaTax Brazil
**Tag:** Subscription Citations
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Subscription%20Citations/updateNcmsForCustomCitation/

## Description

(en) Updates the NCMs Information for a Tax Citation
(pt) Atualiza informações das NCMs de uma fundamentação legal

## Request Body

**Content-Type:** `application/json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 204 |  |  |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

## Example Request

```bash
curl -X PUT "https://avataxbr.sandbox.avalarabrasil.com.br/v3/subscriptions/citations/{id}/ncms" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '[
  {
    "codeType": {},
    "code": "",
    "maskedCode": "",
    "ex": "",
    "detailDescription": "",
    "detailDescriptionSubItem": [
      {}
    ],
    "expirationDate": "",
    "action": ""
  }
]'
```